<?xml version="1.0"?>
<project name="Server install"  default=""  >

	<import file="devsvr.xml"/>	
	<import file="datasvr.xml"/>	
	<import file="reportsvr.xml"/>	
	
	<!-- Configure the Server on Windows -->
	<target name="configureServer-win" depends="" >
		<antcall target="configureServer" >
			<param name="extension" value="bat" />
		</antcall>
	</target>
	
	<!-- Configure the Server on Linux -->
	<target name="configureServer-linux" depends="" >
		<antcall target="configureServer" >
			<param name="extension" value="sh" />
		</antcall>
	</target>
	
	<target name="configureServer" depends="" >
		<echo message="Configuring the Data server" level="info" />

		<!-- Update Data Server Configuration -->
		<antcall target="configureDataServer" />
		
		<antcall target="configureReportServer" >
			<param name="extension" value="${extension}" />
		</antcall>
		
		<!-- Update Device Server Configuration -->
		<antcall target="configureDeviceServer"/>
		
	</target>
	
	
</project>